sc::OneBodyDerivIntCCA(3)

NAME
sc::OneBodyDerivIntCCA -

This implements one body derivative integrals'.

SYNOPSIS

#include <obintcca.h>

Inherits sc::OneBodyDerivInt'.

  Public Member Functions
OneBodyDerivIntCCA (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralEvaluatorFactory, bool, string)
void compute_shell (int, int, DerivCenters &)
Compute the derivative integrals and place the result in the buffer returned by buffer()'.
void compute_shell (int, int, int)
Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer()'.

  Protected Types
typedef void(Int1eCCA::* IntegralFunction )(int, int, DerivCenters &)

  Protected Attributes
Ref< Int1eCCA > int1ecca_

Detailed Description

This implements one body derivative integrals'. It is given a function pointer to the Int1eCCA member that computes the particular integral of interest'.

Member Function Documentation

  void sc::OneBodyDerivIntCCA::compute_shell (intish, intjsh, DerivCenters &) [virtual]

Compute the derivative integrals and place the result in the buffer returned by buffer()'.

Implements sc::OneBodyDerivInt'.

  void sc::OneBodyDerivIntCCA::compute_shell (intish, intjsh, intcenter) [virtual]

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer()'.

Implements sc::OneBodyDerivInt'.

Author

Generated automatically by Doxygen for MPQC from the source code'.